For AI agents: the complete documentation index is at https://buddy.works/llms.txt
Edit Domain Records using YAML
PATCH
- /workspaces
- /:workspace
- /domains
- /:domain_id
- /yaml
Update domain records from YAML
REQUIRED SCOPESDOMAIN_WRITE
URL PARAMETERSworkspacerequiredstring
The human-readable ID of the workspacedomain_idrequiredstring
The ID of the domain BODY PARAMETERSyamlstring
The Base64-encoded YAML definition of the domain records. The top-level key is the domain name. The apex SOA and NS records are read-only and must stay as returned by the API RESPONSE BODYtypestring enum
The type of the domainAllowed enum: REGISTERED,
POINTED,
PRIVATE,
CLAIMED
urlread-onlystring
API endpoint to GET this objecthtml_urlread-onlystring
Web URL to view this object in Buddy.worksnamestring
The name of the domainidstring
The ID of the domainauto_renewboolean
Whether the domain is set to auto-renewtransfer_lockboolean
Whether the domain has transfer lock enableddnssecboolean
Whether DNSSEC is enabled for the domainexpiry_datestring
The expiration date of the domain registration Last modified on Oct 7, 2026
curl -X PATCH "https://api.buddy.works/workspaces/:workspace/domains/:domain_id/yaml" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"yaml": "aW50ZXJuYWwubGFuOgogIHJlY29yZHM6CiAgICAnQCc6CiAgICAtIHR5cGU6IFNPQQogICAgICB2YWx1ZXM6IG5zMS5idWRkeS53b3JrcyBob3N0bWFzdGVyLmJ1ZGR5LndvcmtzIDEgMTA4MDAgMzYwMCA2MDQ4MDAgMzYwMAogICAgLSB0eXBlOiBOUwogICAgICB2YWx1ZXM6IG5zMS5idWRkeS53b3JrcwogICAgLSB0eXBlOiBBCiAgICAgIHZhbHVlczogMTAuMC4wLjEwCiAgICBhcGk6CiAgICAtIHR5cGU6IEEKICAgICAgdmFsdWVzOiAxMC4wLjAuMjAK"
}'